<?php
/* @var $this PrestamoController */
/* @var $model Prestamo */
Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').hide();
	return false;
});


");

?>

<style>
    #titulo{
    font-size: 1.4rem;
    }

@media screen and (max-width:780px) and (min-width:300px) {  
    
    #titulo{
    font-size: 1.0rem;
    }

    .table-responsive{
    width: 132%;
    margin-left: -40px;
    }
    
    #a{
        overflow-x: auto;
    }
    
}   
    


</style>

            <div class="row">
         
<div class="col-4 ">
        <?php
        $pageSize = Yii::app()->user->getState('pageSize', Yii::app()->params['defaultPageSize']);
        echo
        'Ver ' .
         CHtml::dropDownList('pageSize', $pageSize, Utility::listaPageSize(), array(
            'onchange' => "$.fn.yiiGridView.update('prestamo-grid',{ data:{pageSize: $(this).val() }})",
        ))
         . ' Cliente';
        ?>
    </div> 
                <div class="col-12 col-sm-12 col-md-8 text-right">
           

                                      <?php
                         $this->widget('booster.widgets.TbButton', array(
                        'context'=>'success',
                         'buttonType' => 'link',
                             
                              'label' => ' REFRESCAR',
                                            'icon' => 'fa fa-refresh ',
                                            'htmlOptions' => array(
                                                'class'=>'text-capitalize',
                                                'data-toggle' => "tooltip",
                                                'data-original-title' => 'REFRESCAR LISTA',
                                                'onClick' => 'window.location="' . Yii::app()->createUrl('prestamo/clientec') . '"; ',
                                    
                                            ),
                                              'url' => '#',
                     ));
                     ?>    
                    

                </div>  

                
                
                


   </div>

   

<div class='table-responsive'>   

     <div class="search-form mt-3" style="display:none">
<?php $this->renderPartial('_resultado',array(
	'model'=>$model,
)); ?>
</div> 
    
<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'prestamo-grid',
	'dataProvider'=>$model->searchCartera(),
        'pager' => array('cssFile' => Yii::app()->baseUrl.'/public/css/tablas.css'),
	'filter'=>$model,
    
           "selectionChanged" => "js:function() { selectionChanged()}",  
           'rowHtmlOptionsExpression' => 'array("id"=>"row-".$data->id_prestamo, "data-id_prestamo"=>$data->id_prestamo, "data-nombre"=>$data->nombre, "data-apellido"=>$data->apellido, "data-dni"=>$data->dni,"data-foto_cliente"=>$data->foto_cliente,"data-foto_local"=>$data->foto_local,"data-foto_dni"=>$data->foto_dni,    "data-estatus"=>$data->estatus,"data-id_monto"=>$data->id_monto, "data-cuota"=>$data->cuota,"data-total"=>$data->total,"data-atrasos"=>$data->atrasos, "data-fecha_inicio"=>$data->fecha_inicio,"data-num"=>$data->num,"data-celular"=>$data->celular, "data-gps"=>$data->gps  ) ',           
            
    
    
	'columns'=>array(
   

            
            array(
                   'header'=>'DNI',
                    'value' => '$data->dni',
                    'type' => 'text',
                    'name' => 'dni',
                    'htmlOptions' => array( 'class' => 'text-center    '),
                ),
             array(
                   'header'=>'NOMBRES',
                    'value' => '$data->nombre',
                    'type' => 'text',
                    'name' => 'nombre',
                    'htmlOptions' => array( 'class' => 'text-center    '),
                ),
            array(
                   'header'=>'APELLIDOS',
                    'value' => '$data->apellido',
                    'type' => 'text',
                    'name' => 'apellido',
                    'htmlOptions' => array( 'class' => 'text-center    '),
                ),
        

            
         
            array(
                        "header"=>"<i class='fa  fa-check text-success'></i>",
                        "name"=>"check",
                        "id"=>"select",
                        "class"=>"ECheckBoxColumn",
                        "checked"=>"0",
                        "htmlOptions"=>array(
                            
                        "style"=>"text-align: center",
                        ),
                        ),
		
	),
    
    

    
)); 






?>
    
    
    
    
  
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
</div>





<script type="application/javascript">
function selectionChanged(){
   
$('#Prestamo_dni').val('');
$('#Prestamo_nombre').val('');
$('#Prestamo_apellido').val('');
$('#cliente').attr('src',window.location.href+'/../../upload/logo.jpeg');
$('#dni').attr('src',window.location.href+'/../../upload/logo.jpeg');
$('#local').attr('src',window.location.href+'/../../upload/logo.jpeg');
$('#Prestamo_estatus').val('');
$('#Prestamo_id_monto').val('');
$('#Prestamo_cuota').val('');
$('#Prestamo_total').val('');
$('#Prestamo_atrasos').val('');
$('#Prestamo_fecha_inicio').val('');
$('#Prestamo_num').val('');
$('#Prestamo_celular').val('');
$('#Prestamo_gps').val('');



var ids = $("#prestamo-grid").yiiGridView("getChecked", "select");
var x=ids.toString();
for (i = 0; i < ids.length; i++) {
var id = ids[i];


var nombre= $("#row-"+id).attr("data-nombre");
var dni= $("#row-"+id).attr("data-dni");
var apellido= $("#row-"+id).attr("data-apellido");
var id_prestamo = $("#row-"+id).attr("data-id_prestamo");
var foto_local = $("#row-"+id).attr("data-foto_local");
var foto_dni = $("#row-"+id).attr("data-foto_dni");
var foto_cliente = $("#row-"+id).attr("data-foto_cliente");
var estatus = $("#row-"+id).attr("data-estatus");
var id_monto = $("#row-"+id).attr("data-id_monto");
var cuota = $("#row-"+id).attr("data-cuota");
var total = $("#row-"+id).attr("data-total");
var atrasos = $("#row-"+id).attr("data-atrasos");
var fecha_inicio = $("#row-"+id).attr("data-fecha_inicio");
var num = $("#row-"+id).attr("data-num");
var celular = $("#row-"+id).attr("data-celular");
var gps = $("#row-"+id).attr("data-gps");

$('#Prestamo_dni').val(dni);
$('#Prestamo_nombre').val(nombre);
$('#Prestamo_apellido').val(apellido);
$('#cliente').attr('src',window.location.href+'/../../upload/'+foto_cliente);
$('#dni').attr('src',window.location.href+'/../../upload/'+foto_dni);
$('#local').attr('src',window.location.href+'/../../upload/'+foto_local);
$('#Prestamo_estatus').val(estatus);
$('#Prestamo_id_monto').val(id_monto);
$('#Prestamo_cuota').val(cuota);
$('#Prestamo_total').val(total);
$('#Prestamo_atrasos').val(atrasos);
$('#Prestamo_fecha_inicio').val(fecha_inicio);
$('#Prestamo_num').val(num);
$('#Prestamo_celular').val(celular);
$('#Prestamo_gps').html('<a  target="_blank"  href="'+gps+'">'+gps+'</a>'  );

}

$('.search-form').show();



}

</script>
         
    
